
Redmine - Feature #7391

Html link as custom field

2011-01-20 16:57 - Pierre Pretorius

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 3.00 hours

Target version:    

Resolution: Duplicate   

Description

Currently when you add a custom field you can choose from things like text, boolean, date, etc.  I want to add text, but it should

display as a link.  You will know best how to implement this.  Perhaps a check box "display as link" or "do not escape html" but I

guess that is risky, perhaps its a different type of custom field.

Thanks,

Related issues:

Is duplicate of Redmine - Feature #5794: URL custom fields Closed 2010-07-01

History

#1 - 2011-01-21 11:40 - Pierre Pretorius

- Assignee set to Jean-Philippe Lang

#2 - 2011-01-21 13:09 - Kestutis None

Test

#3 - 2011-01-21 13:09 - Kestutis None

- Assignee changed from Jean-Philippe Lang to Holger Just

Kestutis Naureckas wrote:

Test

 None

#4 - 2011-01-21 16:11 - Holger Just

- Assignee deleted (Holger Just)

(reverted spam)

#5 - 2011-01-28 06:48 - Daniel Martinez

This can easily be done in about 1 minute.

simply wrap the line that renders the custom_value in the auto_link() function like this:

auto_link(simple_format_without_paragraph(h(show_value(value))))

and you instantly have clickable links

#6 - 2011-01-28 09:11 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #5794
